<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:py="http://genshi.edgewall.org/">
  <head>
    <title>$title - nearfar.org</title>

    <link rel="stylesheet" href="http://nearfar.org/nav.css" />
    <link rel="stylesheet" href="http://nearfar.org/paste.css" />
    <link rel="stylesheet" href="${ link_to('static/style.css') }" />
    
    <link type="application/atom+xml" rel="alternate"
	  href="${ link_to('feed') }" />

    <meta name="author" content="Sridhar Ratna" />

    <script type="text/javascript" src="${ link_to('static/bubble.js') }" />
  </head>

  <body>

    ${ Markup(open("/home/htdocs/nav.html").read()) }
    <div class="header">
      <h1>stream</h1>
      <em>$SUBTITLE</em>
      <a href="http://nearfar.org/notebook/Stream.html">...</a>
    </div>

    <!-- Breadcrumb -->
    <div class="breadcrumb">
      <a href="${year and link_to()}">Recent entries</a>
      <span py:if="year">
	&raquo;
	<a href="${month and link_to(year)}">$year</a>
      </span>
      <span py:if="month">
	&raquo;
	<a href="${day and link_to(year, '%.2d' % month)}">${calendar.month_name[month or 0]}</a>
      </span>
      <span py:if="day">
	&raquo;
	<a>$day</a>
      </span>
    </div>

    $content

    <div class="section">
      Archive:
      <span py:for="year in PostGroup.years">
	<a href="${ link_to(year) }">$year</a>
      </span>
    </div>

    <div class="section">
      <a href="${ link_to('feed') }" title="Syndicate the stream">
	<img src="${ link_to('static', 'img', 'feed.png') }" alt="Feed Icon" />
      </a>
    </div>

  </body>
</html>
    
